### Function

# St TextureCacheLoader

#### Declaration

    CoglTexture*
    (* StTextureCacheLoader) (
      StTextureCache* cache,
      const char* key,
      void* data,
      GError** error
    )

#### Description [src]

See st_texture_cache_load(). Implementations should return a texture handle for the given key, or set `error`.

This function is not directly available to language bindings.

#### Parameters

`cache`

  Type: `StTextureCache`

  A `StTextureCache`.

  The data is owned by the caller of the function.

`key`

  Type: `const char*`

  Unique identifier for this texture.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `void*`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CoglTexture`

No description available.

The data is owned by the called function.